VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
ICustomization Class Referenceabstract
Standalone Library

UIDesc window customization interface. More...

Inheritance diagram for ICustomization:

## Public Member Functions
virtual IController * | createController (const UTF8StringView &name, IController *parent, const IUIDescription *uiDesc)=0
| Create a sub controller.
virtual void | onUIDescriptionParsed (const IUIDescription *uiDesc)=0
| Notification that the UIDescription was sucessfully parsed.
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Detailed Description

UIDesc window customization interface.

## Member Function Documentation

virtual IController* createController | ( | const UTF8StringView & | name,
|  | IController * | parent,
|  | const IUIDescription * | uiDesc
| ) |  |
| pure virtual

Create a sub controller.

A sub controller can be defined in the UI editor for a view and will be responsible as a controller for the view and its children.

The controller will be automatically destroyed when the view is destroyed. You should always create a new controller instance here and do not cache it.

Parameters

  name | name of the sub controller
  parent | the parent controller
  uiDesc | the UIDescription instance

Implemented in Customization, and CustomizationAdapter.

virtual void onUIDescriptionParsed | ( | const IUIDescription * | uiDesc | ) |
| pure virtual

Notification that the UIDescription was sucessfully parsed.

This can be used to get some resources from the UIDescription instance.

Parameters

  uiDesc | the UIDescription instance

Implemented in CustomizationAdapter.

The documentation for this class was generated from the following file:

- iuidescwindow.h